groups:
  - group: "Устройство"
    disabled: true
    subgroups:
      - subgroup: "Состояние"
        params:
          - id: 1007
            name: "Модель Устройства"
            type: "byte"
            values:
              - value: 1
                name: "Вега SI 11"
              - value: 2
                name: "Вега SI 12"
              - value: 3
                name: "Вега SI 13 232"
              - value: 4
                name: "Вега SI 13 485"
              - value: 5
                name: "Вега SI 11 LT"
              - value: 6
                name: "Вега MBUS 1"
              - value: 7
                name: "Вега TD 11"
              - value: 8
                name: "Вега SMART MC0101"
              - value: 9
                name: "Вега TP 11"
              - value: 10
                name: "Вега SI 21"
              - value: 11
                name: "Вега SMART AS0101"
              - value: 12
                name: "Вега SMART MS0101"
              - value: 13
                name: "Вега SMART SS0101"
              - value: 14
                name: "Вега MBUS 2"
              - value: 15
                name: "Вега TS 11"
              - value: 16
                name: "Вега SVE 1"
              - value: 17
                name: "Вега KOMETA MC0101"
              - value: 18
                name: "Вега GM 2"
              - value: 19
                name: "Вега LM 1"
              - value: 20
                name: "Вега SEEB"
              - value: 21
                name: "Вега SH 1"
              - value: 22
                name: "Вега MR 200"
              - value: 23
                name: "Вега TF 1"
              - value: 24
                name: "Вега TL 11"
              - value: 25
                name: "Вега TS 12"
              - value: 26
                name: "Вега SI 22"
              - value: 27
                name: "Вега SMART HS0101"
              - value: 28
                name: "Вега GM 1"
              - value: 29
                name: "Вега SH 2"
              - value: 30
                name: "Вега SMART ROAD SIGN"
              - value: 31
                name: "Вега TD GLOSAV"
              - value: 32
                name: "Вега USPD MEGAFON 1"
              - value: 33
                name: "Вега USPD MEGAFON 2"
              - value: 34
                name: "Вега USPD MEGAFON 3"
              - value: 35
                name: "Вега USPD MEGAFON 4"
              - value: 36
                name: "Вега TF 1 2"
              - value: 37
                name: "Вега MULTISENSOR 1"
              - value: 55
                name: "Вега SMART SS0102"
              - value: 59
                name: "Вега LM 2"
              - value: 192
                name: "Вега LM 210"
              - value: 193
                name: "Вега SMART BADGE"
              - value: 194
                name: "Вега SMART TAG"
              - value: 69
                name: "Вега SMART TAB"
          - id: 1008
            name: "Время устройства (UTC)"
            type: "datetime"
          - id: 1009
            name: "Версия ПО"
            type: "string"
            size: 20
          - id: 1018
            name: "Температура"
            type: "byte"
            signed: true
          - id: 1019
            name: "Заряд Батареи"
            type: "byte"
          - id: 1157
            name: "MAC"
            type: "mac"
  - group: "Настройки измерений"
    subgroups:
      - subgroup: "Опрос датчика"
        params:
          - id: 10
            name: "Период опроса датчика" # Значение в секундах
            type: "int"
            values:
              - value: 60
                name: "1 минута"
              - value: 120
                name: "2 минуты"
              - value: 180
                name: "3 минуты"
              - value: 240
                name: "4 минуты"
              - value: 300
                name: "5 минут"
              - value: 900
                name: "15 минут"
              - value: 1800
                name: "30 минут"
              - value: 3600
                name: "1 час"
              - value: 7200
                name: "2 часа"
              - value: 21600
                name: "6 часов"
              - value: 43200
                name: "12 часов"
              - value: 86400
                name: "24 часа"
          - id: 11
            name: "Период опроса датчика при превышении порогов" # Значение в секундах
            type: "int"
            values:
              - value: 60
                name: "1 минута"
              - value: 120
                name: "2 минуты"
              - value: 180
                name: "3 минуты"
              - value: 240
                name: "4 минуты"
              - value: 300
                name: "5 минут"
              - value: 900
                name: "15 минут"
              - value: 1800
                name: "30 минут"
              - value: 3600
                name: "1 час"
              - value: 7200
                name: "2 часа"
              - value: 21600
                name: "6 часов"
              - value: 43200
                name: "12 часов"
              - value: 86400
                name: "24 часа"
      - subgroup: "Пороговые значения"
        params:
          - id: 50
            name: "Отслеживаемый порог"
            type: "int"
            values:
              - value: 1
                name: "Нижний порог температуры"
                show: 51
              - value: 2
                name: "Верхний порог температуры"
                show: 52
              - value: 4
                name: "Нижний порог влажности"
                show: 53
              - value: 8
                name: "Верхний порог влажности"
                show: 54
          - id: 51
            name: "Нижний порог температуры"
            type: "short"
            depends: true
            values:
              - value: -4000
                name: "-40 °C"
              - value: -3500
                name: "-35 °C"
              - value: -3000
                name: "-30 °C"
              - value: -2500
                name: "-25 °C"
              - value: -2000
                name: "-20 °C"
              - value: -1500
                name: "-15 °C"
              - value: -1000
                name: "-10 °C"
              - value: -500
                name: "-5 °C"
              - value: 0
                name: "0 °C"
              - value: 500
                name: "5 °C"
              - value: 1000
                name: "10 °C"
              - value: 1500
                name: "15 °C"
              - value: 2000
                name: "20 °C"
              - value: 2500
                name: "25 °C"
              - value: 3000
                name: "30 °C"
              - value: 3500
                name: "35 °C"
              - value: 4000
                name: "40 °C"
              - value: 4500
                name: "45 °C"
              - value: 5000
                name: "50 °C"
              - value: 6000
                name: "60 °C"
              - value: 7000
                name: "70 °C"
              - value: 8000
                name: "80 °C"
          - id: 52
            name: "Верхний порог температуры"
            type: "short"
            depends: true
            values:
              - value: -4000
                name: "-40 °C"
              - value: -3500
                name: "-35 °C"
              - value: -3000
                name: "-30 °C"
              - value: -2500
                name: "-25 °C"
              - value: -2000
                name: "-20 °C"
              - value: -1500
                name: "-15 °C"
              - value: -1000
                name: "-10 °C"
              - value: -500
                name: "-5 °C"
              - value: 0
                name: "0 °C"
              - value: 500
                name: "5 °C"
              - value: 1000
                name: "10 °C"
              - value: 1500
                name: "15 °C"
              - value: 2000
                name: "20 °C"
              - value: 2500
                name: "25 °C"
              - value: 3000
                name: "30 °C"
              - value: 3500
                name: "35 °C"
              - value: 4000
                name: "40 °C"
              - value: 4500
                name: "45 °C"
              - value: 5000
                name: "50 °C"
              - value: 6000
                name: "60 °C"
              - value: 7000
                name: "70 °C"
              - value: 8000
                name: "80 °C"
          - id: 53
            name: "Нижний порог влажности"
            type: "byte"
            depends: true
            values:
              - value: 10
                name: "10 %"
              - value: 20
                name: "20 %"
              - value: 30
                name: "30 %"
              - value: 40
                name: "40 %"
              - value: 50
                name: "50 %"
              - value: 60
                name: "60 %"
              - value: 70
                name: "70 %"
              - value: 80
                name: "80 %"
              - value: 90
                name: "90 %"
          - id: 54
            name: "Верхний порог влажности"
            type: "byte"
            depends: true
            values:
              - value: 10
                name: "10 %"
              - value: 20
                name: "20 %"
              - value: 30
                name: "30 %"
              - value: 40
                name: "40 %"
              - value: 50
                name: "50 %"
              - value: 60
                name: "60 %"
              - value: 70
                name: "70 %"
              - value: 80
                name: "80 %"
              - value: 90
                name: "90 %"
  - group: "Движение и положение в пространстве"
    subgroups:
      - subgroup: "Измерение угла наклона"
        params:
          - id: 470
            name: "Измерять угол наклона"
            type: "byte"
            values:
              - value: 0
                name: "Не измерять"
              - value: 1
                name: "Измерять"
      - subgroup: "Детектирование удара"
        params:
          - id: 472
            name: "Чувствительность удара"
            type: "byte"
            values:
              - value: 1
                name: "Низкая"
              - value: 2
                name: "Средняя"
              - value: 3
                name: "Высокая"
              - value: 4
                name: "Отключено"
  - group: "Настройки BLE"
    subgroups:
      - subgroup: "Режим"
        params:
          - id: 270
            name: "Режим работы BLE"
            type: "byte"
            values:
              - value: 1
                name: "Логгер+" #Логгирование, телеметрия по BLE, конфигурационный режим доступен всегда
              - value: 2
                name: "Логгер" #Логгирование, телеметрия по BLE, конфигурационный режим доступен по кнопке
              - value: 3
                name: "Эко" #Логгирование, конфигурационный режим доступен по кнопке
      - subgroup: "Параметры адвертайзинга"
        params:
          - id: 271
            name: "Мощность адвертайзинга"
            type: "byte"
            values:
              - value: -16
                name: "-16 dBm"
              - value: -12
                name: "-12 dBm"
              - value: -8
                name: "-8 dBm"
              - value: -5
                name: "-5 dBm"
              - value: -3
                name: "-3 dBm"
              - value: -1
                name: "-1 dBm"
              - value: 0
                name: "0 dBm"
              - value: 1
                name: "1 dBm"
              - value: 2
                name: "2 dBm"
              - value: 3
                name: "3 dBm"
              - value: 4
                name: "4 dBm"
              - value: 5
                name: "5 dBm"
              - value: 6
                name: "6 dBm"
          - id: 272
            name: "Период отправки адвертайзинг пакетов" # в единицах измерения 0.625 мс. Перевод в миллисекунды: adv int ms = adv int n * 0.625. Перевод в относительные единицы: adv int n = adv int ms / 0.625
            type: "short"
            values:
              - value: 160
                name: "100 мс"
              - value: 320
                name: "200 мс"
              - value: 480
                name: "300 мс"
              - value: 640
                name: "400 мс"
              - value: 800
                name: "500 мс"
              - value: 1600
                name: "1000 мс"
              - value: 3200
                name: "2000 мс"
              - value: 6400
                name: "4000 мс"
          - id: 273
            name: "Адвертайзинг каналы"
            type: "int"
            values:
              - value: 1
                name: "37"
              - value: 2
                name: "38"
              - value: 4
                name: "39"
              - value: 3
                name: "37 и 38"
              - value: 5
                name: "37 и 39"
              - value: 6
                name: "38 и 39"
              - value: 7
                name: "37, 38 и 39"
  - group: "Дополнительно"
    subgroups:
      - subgroup: "Сброс"
        params:
          - id: 350
            name: "Сброс настроек к заводским"
            type: "byte"
            values:
              - value: 0
                name: "(Нажмите для сброса)"
              - value: 1
                name: "Сбросить"
          - id: 351
            name: "Очистка журнала"
            type: "byte"
            values:
              - value: 0
                name: "(Нажмите для очистки)"
              - value: 1
                name: "Очистить"